{
  using namespace RooFit;
  RooRealVar m("m","mumu invariant mass",91.,66.,116.);
  
  RooRealVar mZ("mZ","Z mass",91.1876);
  RooRealVar GZ("GZ","Z width",2.4952);
  RooBreitWigner peak("peak","Z peak",m,mZ,GZ);

  RooRealVar mres("mres","auxiliary variable",0.,-20.,20.);
  RooRealVar sigma("sigma","mass resolution",2.,0.,10.);
  RooGaussian gauss("gauss","Resolution function",m,RooConst(0.),sigma);

  RooFFTConvPdf conv("conv","Reconstructed peak",m,peak,gauss);
  RooVoigtian voigt("voigt","Reconstructed peak",m,mZ,GZ,sigma);

  TCanvas cfun("cfun","Plot of a function",400,400);
  RooPlot* xframe = m.frame(Range(66.,116.));
  conv.plotOn(xframe);
  voigt.plotOn(xframe,LineColor(kRed));
  peak.plotOn(xframe,LineStyle(kDashed));
  xframe.Draw();
}
