{
  using namespace RooFit;
  RooRealVar Nobs("Nobs","Observed events",1,0.,14.);
  RooRealVar mu("mu","Expected events",0.,6.);
  RooPoisson observed("observed","Observed events",Nobs,mu);

  RooGaussian mupdf("mupdf","Mu value",mu,RooConst(2.5),RooConst(0.9));  
  
  RooProdPdf modPoisson("modPoisson","Poisson with uncertainty on mu",
			mupdf,Conditional(observed,Nobs));


  TCanvas c2D("cfun","2D distribution",400,400);
  TH2* hh = modPoisson.createHistogram("Nobs,mu");
  hh->Draw("COL");

  RooDataSet* mydata = modPoisson.generate(RooArgSet(Nobs,mu),10000);

  TCanvas cmu("cmu","mu distribution",400,400);
  RooPlot* frame1 = mu.frame();
  mydata->plotOn(frame1);
  frame1.Draw();

  TCanvas cN("cN","Nobs distribution",400,400);
  RooPlot* frame2 = Nobs.frame();
  mydata->plotOn(frame2);
  frame2.Draw();
}
